import { registerEditorContribution } from "../../../browser/editorExtensions.mjs";
import { ICodeEditorService } from "../../../browser/services/codeEditorService.mjs";
import { ReferencesController } from "../../../contrib/gotoSymbol/browser/peek/referencesController.mjs";
import { IConfigurationService } from "../../../../platform/configuration/common/configuration.mjs";
import { IContextKeyService } from "../../../../platform/contextkey/common/contextkey.mjs";
import { IInstantiationService } from "../../../../platform/instantiation/common/instantiation.mjs";
import { INotificationService } from "../../../../platform/notification/common/notification.mjs";
import { IStorageService } from "../../../../platform/storage/common/storage.mjs";
var __decorate = globalThis && globalThis.__decorate || function(decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
    r = Reflect.decorate(decorators, target, key, desc);
  else
    for (var i = decorators.length - 1; i >= 0; i--)
      if (d = decorators[i])
        r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = globalThis && globalThis.__param || function(paramIndex, decorator) {
  return function(target, key) {
    decorator(target, key, paramIndex);
  };
};
let StandaloneReferencesController = class StandaloneReferencesController2 extends ReferencesController {
  constructor(editor, contextKeyService, editorService, notificationService, instantiationService, storageService, configurationService) {
    super(true, editor, contextKeyService, editorService, notificationService, instantiationService, storageService, configurationService);
  }
};
StandaloneReferencesController = __decorate([
  __param(1, IContextKeyService),
  __param(2, ICodeEditorService),
  __param(3, INotificationService),
  __param(4, IInstantiationService),
  __param(5, IStorageService),
  __param(6, IConfigurationService)
], StandaloneReferencesController);
registerEditorContribution(ReferencesController.ID, StandaloneReferencesController);
export {
  StandaloneReferencesController
};
